Viewport text...

One of the commands in the Select menu of the Picture window.

## Purpose

To write text inside the viewport, at nine different places, with a rotation between 0 to 360 degrees.

## Settings:

Horizontal alignment
  determines the horizontal alignment of the text:
  • Left means pushed against the left edge of the viewport;
  • Right means pushed against the right edge of the viewport;
  • Centre means horizontally centred in the viewport.
Vertical alignment
  determines the vertical alignment of the text:
  • Top means pushed against the top of the viewport;
  • Bottom means pushed against the bottom of the viewport;
  • Half means vertically centred in the viewport.
Text
  will be drawn in the current font and font size that you set with the Font menu.

## Behaviour

For rotated text, the alignment settings will not only determine the position inside the viewport, but also the alignment in the rotated coordinate system. This gives surprises now and then; so, if you want several rotated texts that align with each other, you should do this by varying the viewport, not the alignment.

## Usage

You can use all special symbols and text styles.